Автор Тема: Помогите с настройкой сетевой карты NVIDIA nForce  (Прочитано 8176 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Pimoch

  • *
  • Сообщений: 10
  • Karma: +0/-0
Здравствуйте. Я хочу поднять Web-сервер на ASPLinux v10 c ядром 2.6.9. С Linux впервые имею дело.

Материнка ASUS A8N-E EAYVZ на чипсете NVIDIA nForce 4 Ultra со
встроенной севевухой NVIDIA nForce, процессор AMD Athlon 64.

У меня проблема с установкой сетевой карты.

Выбор установки ASPLinux определяю как "Сервер" и добавляю пакеты KDE и все пакеты X Window для графического режима (какие точно пакеты для графики добавить я незнаю, поэтому добавляю практически все как при обычной установке).
В процессе установке ASPLinux сетевуха не определяется и я нажимаю кнопку далее, никакой драйвер не выставляю. После установке я присоединяю NVIDIA kernel asp.i686.rpm и запускаю драйвер скачанный с сайта NVIDIA вот такой NFORCE-Linux-x86-1.0-0310-pkg.run
Он запускается на установку и загорается меню выбора согласия с лицензией, я ставлю OK и появляется пердупреждение:

No precompiled kelnel interface was found to match your kernel; this means that the installer will to compile a new kernel interface.
ERROR: You do not appear to have libc header files installed on your system. Please install your distribution`s libc development package.
ERROR: Installation of the network draver has failed. Plieas see the file `/var/log/nvidia-nforce-installer.log for deteils. You may find suggestions on fixing installation problems in the README available on the Linux draver download page at www.nvidia.com

И на этом все выключается и сетевая карта неустанавливается. Вот Log фаил:

nforce-installer log file '/var/log/nvidia-nforce-installer.log'
creation time: Fri Mar 17 12:19:56 2006

option status:
  license pre-accepted      : false
  expert                    : false
  uninstall                 : false
  driver info               : false
  no precompiled interface  : false
  no ncurses color          : false
  no questions              : false
  silent                    : false
  Installer install prefix  : /usr
  kernel source path        : (not specified)
  net kernel install path   : (not specified)
  audio kernel install path : (not specified)
  proc mount point          : /proc
  ui                        : (not specified)
  tmpdir                    : /tmp

Using: nvidia-installer ncurses user interface
-> Found package NVIDIA network driver for Linux-x86
-> Found package NVIDIA audio driver for Linux-x86
-> Please select packages for installation:
   Selections:
   NVIDIA network driver for Linux-x86 (1.0-13)
   NVIDIA audio driver for Linux-x86 (1.0-7)
-> Starting install of NVIDIA network driver for Linux-x86
-> Checking for loaded module nvnet
-> Checking for loaded module forcedeth
-> License accepted.
-> Skipping check for conflicting rpms.
-> /proc/version is Linux version 2.6.9-1.667asp
   (www.nvidia.com.
-> Starting install of NVIDIA audio driver for Linux-x86
-> Checking for loaded module nvsound
-> Checking for loaded module nvaudio
-> License not accepted, aborting installation of audio driver.

Как мне решить эту проблему? Если можно то поподробней.

Да и еще! У нас на производстве есть точно такой же сервер один к одному. Только процессор двухядерный стои. Так вот там сетевая ставится без проблем. Тот человек который ставил ASPLinux на той машине помочь мне не может.
Заранее блaгодарен.

Dim_maN

  • *
  • Сообщений: 114
  • Karma: +0/-0
(Нет темы)
« Ответ #1 : 17 Марта 2006, 11:22 »
Похоже просит установить пакеты: kernel-headers  и glibc-devel

ILB

  • *
  • Сообщений: 73
  • Karma: +0/-0
Цитата: "Pimoch"
Please install your distribution`s libc development package.
Человек может все. Но некоторые вещи лишь однажды.

Pimoch

  • *
  • Сообщений: 10
  • Karma: +0/-0
(Нет темы)
« Ответ #3 : 18 Марта 2006, 11:13 »
Сетевая карта стала. Все равно немогу понять. Добавил наугад все какие нашел rpm где есть libc. Набрал rpm -qa | grep libc высветились вот такие библиотеки:

glibc-common-2.3.4-2.asp
libcap-1.10-18.1.asp
libcroco-0.6.0-3.asp
glibc-headers-2.3.4-2.19asp
glibc-devel-2.3.4-2.19asp
libc-client-2002 e-5
glibc-2.3.4-2.19
glibc-kernheaders-2.4-9.1.98.101.asp

Так какой все же нужен был?

ufvflhbk

  • *
  • Сообщений: 171
  • Karma: +0/-0
(Нет темы)
« Ответ #4 : 19 Марта 2006, 12:32 »
Нуууу я так понял проблема из разряда легкого испуга !!! Вот что получается когда кто то начинает лезть не в свою область  :D  Лучше бы продолжили занимаца видюшками а они и сетевухи теперь клепают
Хотят подмять под себя все больше и больше рынка - годяи

Ali

  • *
  • Сообщений: 210
  • Karma: +0/-0
(Нет темы)
« Ответ #5 : 19 Марта 2006, 03:43 »
Цитата: "Pimoch"
Сетевая карта стала. Все равно немогу понять. Добавил наугад все какие нашел rpm где есть libc. Набрал rpm -qa | grep libc высветились вот такие библиотеки:

glibc-common-2.3.4-2.asp
libcap-1.10-18.1.asp
libcroco-0.6.0-3.asp
glibc-headers-2.3.4-2.19asp
glibc-devel-2.3.4-2.19asp
libc-client-2002 e-5
glibc-2.3.4-2.19
glibc-kernheaders-2.4-9.1.98.101.asp

Так какой все же нужен был?

glibc-kernheaders-2.4-9.1.98.101.asp
glibc-common-2.3.4-2.asp
glibc-headers-2.3.4-2.19asp
glibc-2.3.4-2.19
glibc-devel-2.3.4-2.19asp

Pimoch

  • *
  • Сообщений: 10
  • Karma: +0/-0
(Нет темы)
« Ответ #6 : 19 Марта 2006, 10:09 »
Спасибо за помощь.

Matvey

  • *
  • Сообщений: 1
  • Karma: +0/-0
Re: Помогите с настройкой сетевой карты NVIDIA nForce
« Ответ #7 : 20 Сентября 2009, 07:16 »
А не пробывал обратиться в Ноябрьске в фирму, которая занимается установкой Линукс?  :wink:

rain

  • Global Moderator
  • *****
  • Сообщений: 663
  • Karma: +10/-0
Re: Помогите с настройкой сетевой карты NVIDIA nForce
« Ответ #8 : 21 Сентября 2009, 08:54 »
Цитировать
Добавлено: Вс мар 19, 2006 7:09 pm
Цитировать
Добавлено: Вс сен 20, 2009 4:16 pm
С пробуждением.
Registered Linux User # 377068
Аз есмь линуксоид <img src=\"{SMILIES_PATH}/wink.gif\" alt=\";)\" title=\"Wink\" />
Присоединяемся к акции массового перехода на Jabber -
самую современную сеть обмена мгновенными сообщениями!

Меня